@import url('https://fonts.googleapis.com/css2?family=Playfair:ital,opsz,wght@0,5..1200,300..900;1,5..1200,300..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400..700;1,400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=League+Spartan:wght@100..900&display=swap');

body {
    background: #fbfbfb;
}

/* HEADER CSS STARTS */
header {
    position: fixed;
    width: 100%;
    left: 0;
    top: 0;
    z-index: 99;
    background-color: #fff;
    padding: 0;
    -moz--webkit-transition: all 0.5s ease;
    -webkit-transition: all 0.5sease;
    transition: all 0.5sease;
    box-shadow: 0 0 3px #e5cece;
    padding: 10px 0;
}

.newClass {
    z-index: 999;
}

.newClass .menu ul li a {
    color: #6b6464;
}

.inner-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    backdrop-filter: blur(2px);
}

.logo {
    max-width: 230px;
    position: relative;
}

.menu ul li:focus {
    border-bottom: 1px dotted #000;
}

.menu ul {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu ul li a {
        color: #6b6464;
    text-decoration: none;
    font-size: 14px;
    padding: 0px 11px;
    text-transform: uppercase;
    -moz--webkit-transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
    letter-spacing: 1px;
    font-family: 'Poppins';
    font-weight: 500;
}

.menu ul li {
    position: relative;
    border-right: 1px solid #ddd;
    margin-right: 10px;
}
.menu ul li:last-child{
    border-right:none;
}
.project-overview-section .know-more {
    text-align: left;
}

.contact-number {
    display: flex;
}

.contact-number a {
    font-size: 22px;
    font-weight: 600;
    text-decoration: none;
    color: #fff;
    padding: 10px 15px;
    -moz--webkit-transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.menu ul li.dropdown:hover .submenu {
    display: block;
    background:transparent;
}

.menu .submenu li a {
    color: #fff;
    text-decoration: none;
    cursor: pointer;
}

.menu .submenu {
    position: absolute;
    /* background-color: #4c4ca5; */
    display: none;
    padding: 10px;
    min-width: 250px;
    z-index: 99;
    color: #fff;
    /* box-shadow: 0 0 3px #000; */
}

.overlay.open li a {
    color: #fff;
    font-family: 'Montserrat';
    padding: 0;
}

.overlay-menu ul li span {
    color: #fff;
    font-family: 'Montserrat';
    text-transform: uppercase;
    cursor: pointer;
}

.menu .submenu li {
    margin-bottom: 10px;
    border-bottom: 1px dotted #fff;
}

.submenu.show {
    display: block;
}
.menu ul li .submenu {
    display: none;
    position: absolute;
    backdrop-filter: blur(15px);
    top: 100%;   /* neeche khulega */
    left: 0;
    min-width: 250px;
    /* box-shadow: 0px 4px 6px rgba(0,0,0,0.1); */
    z-index: 999;
}

.menu ul li .submenu li {
    margin: 0;
    /* border-bottom: 1px solid #eee; */
    background: #d9d6d6;
    margin-bottom:10px;
} 
.menu ul li .submenu li:hover{
    background: #8C6239;
    border:1px solid #8C6239;
}
.menu ul li .submenu li:hover a{
    color:#fff !important;
}
.menu ul li .submenu li a {
    color: #333;
    padding: 5px 15px;
    display: block;
    text-transform: capitalize;
}

.menu ul li:hover > .submenu {
    display: block;
}
/* --- Dropdown Arrow and Mobile Toggle --- */
.dropdown > a i {
  font-size: 0.7rem;
  margin-left: 6px;
  transition: transform 0.3s ease;
}

.dropdown.open > a i {
  transform: rotate(180deg);
}
/* HEADER CSS ENDS */
@media only screen and (max-width: 991px) {
.button_container {
        position: absolute;
        top: 50%;
        right: 0;
        height: 29px;
        width: 35px;
        cursor: pointer;
        z-index: 100;
        transition: opacity 0.25s ease;
        transform: translateY(-50%);
    }
    .button_container span {
        background: #000;
        border: none;
        height: 3px;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        transition: all 0.35s ease;
        cursor: pointer;
        border-radius: 31px;
    }
       .overlay {
        position: fixed;
        top: 60px;
        left: -15px;
        width: 100vw;
        height: 100vh;
        background: #000000c7;
        z-index: 9999;
        overflow-y: auto;
        visibility: hidden;
        opacity: 0;
    }

    .overlay.open{
        visibility: visible;
        opacity: 1;
    }

    .overlay-menu,
    .overlay nav,
    .overlay ul{
        width: 100%;
        max-width: 100%;
    }
    .active{
        border-bottom:none;
    }
    .menu ul li a {
        color: #fff;
    }

    .overlay ul {
        list-style: none;
        padding: 0;
        margin: 0 auto;
        display: inline-block;
        position: relative;
        width: 100%;
    }
    .overlay nav {
        text-align: center;
    }
    .overlay.open li {
        opacity: 1;
        border-bottom: 1px solid gray;
        padding-bottom: 10px;
        padding-top: 10px;
    }
    .button_container.active .bottom {
        transform: translateY(-11px) translateX(0) rotate(-45deg);
        background: #000;
    }
    .button_container.active .top {
        transform: translateY(11px) translateX(0) rotate(45deg);
        background: #000;
    }
    .button_container.active .middle {
        opacity: 0;
        background: #000;
    }
    .button_container span:nth-of-type(2) {
        top: 11px;
        width: 61%;
        height: 3px;
        right: 0;
        left: auto;
    }
    .button_container span:nth-of-type(3) {
        top: 22px;
    }
    .menu ul li {
    background: #00000000;
    margin-bottom: 5px;
    color: #fff;
}
.newClass .menu ul li a {
    color: #ffffff;
}
.menu ul li {
    border-right:none;
    margin-right:0;
}
.menu ul li a {
    color: #ffffff;
}
.submenu{
    margin: 10px;
}

.submenu li{
    margin-bottom: 8px;
}

  .submenu li a {
    color: #fff;
    font-size: 13px;
    display: block;
    padding: 8px 0;
  }

 .menu ul li .submenu{
        position: static !important;
        display: none;
        width: 100%;
        background: #111;
        padding: 10px;
    }

   .submenu{
        display:none !important;
    }

    .dropdown.open > .submenu{
        display:block !important;
    }


  .dropdown > a{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:10px;
}

.dropdown > a i{
    cursor:pointer;
    transition:0.3s ease;
}

.dropdown.open > a i{
    transform:rotate(180deg);
}
  .logo {
    max-width: 170px;
}
}